Skip to main content
POST
/
user
/
practice
/
sessions
/
{session_id}
/
chat
기존 세션에서 실습 턴 실행
curl --request POST \
  --url https://api.example.com/user/practice/sessions/{session_id}/chat \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt_text": "<string>",
  "model_names": [
    "<string>"
  ]
}
'
{
  "session_id": 123,
  "prompt_text": "<string>",
  "results": [
    {
      "session_model_id": 123,
      "model_name": "<string>",
      "response_id": 123,
      "prompt_text": "<string>",
      "response_text": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "token_usage": {},
      "latency_ms": 123,
      "is_primary": true,
      "generation_params": {}
    }
  ],
  "session_title": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
integer
required

1 이상: 해당 세션에서 이어서 대화

Required range: x >= 1

Body

application/json

POST /sessions/{session_id}/chat

  • 기존 세션 턴
  • prompt_text / model_names만 받는다. (컨텍스트는 세션 저장값 사용)
prompt_text
string
required
model_names
string[] | null

이 세션에서 호출할 논리 모델 이름 목록

Response

Successful Response

session_id
integer
required
prompt_text
string
required
results
PracticeTurnModelResult · object[]
required
session_title
string | null